

function loadThreadFollow(t_id,mejb,melb,treeimg,newfilename){
	var targetImg =eval("followImg" + t_id);
	var targetDiv =eval("follow" + t_id);
	if (targetImg.src.indexOf("nofollow")!=-1){return false;}
	if ("object"==typeof(targetImg)){
		if (targetDiv.style.display!='block'){
			targetDiv.style.display="block";
			targetImg.src="ltimg/minus.gif";
			if (targetImg.loaded=="no"){
        	document.frames["hiddenframe"].location.replace(newfilename+"?mejb="+mejb+"&melb="+melb+"&id="+t_id+"&treeimg="+treeimg);
			}
		}else{
			targetDiv.style.display="none";
			targetImg.src="ltimg/plus.gif";
		}
	}
}


function loadThreadFollow2(t_id,mejb,melb,treeimg,newfilename){
	var targetImg =eval("parent.fo.followImg" + t_id);
	var targetDiv =eval("parent.fo.follow" + t_id);
	if (targetImg.src.indexOf("nofollow")!=-1){return false;}
	if ("object"==typeof(targetImg)){
		if (targetDiv.style.display!='block'){
			targetDiv.style.display="block";
			targetImg.src="ltimg/minus.gif";
			if (targetImg.loaded=="no"){
        	parent.fo.frames["hiddenframe"].location.replace(newfilename+"?mejb="+mejb+"&melb="+melb+"&id="+t_id+"&treeimg="+treeimg);
			}
		}else{
			targetDiv.style.display="none";
			targetImg.src="ltimg/plus.gif";
		}
	}
}


 function movr(src) {
    if (!src.contains(event.fromElement)) {
	  
  src.bgColor = "#DBDeEf";
	}
  }

  function mout(src) {
	if (!src.contains(event.toElement)) {
	  src.bgColor = "";

	}
  }



function BtnMouseOver()
{
  var image = event.srcElement;
  var element =	image.parentElement;
  element.className = "BtnMouseOverUp";
  event.cancelBubble = true;
}

function BtnMouseout()
{
  var image = event.srcElement;
  var element =	image.parentElement;
  element.className = "";
  event.cancelBubble = true;
}

function closelefttd1()
{
document.all.Td2.className="tddisp"
}


function closelefttd()
{
if (Td1.className==""){
 document.all.Td1.className="tddisp"
 document.all.Td2.className=""
 document.all.imgdir.className=""
 document.all.imgdir.title="显示文件夹"

}
else
{
 document.all.imgdir.className="tabdown"
 document.all.imgdir.title="关闭文件夹"
 document.all.Td1.className=""
 document.all.Td2.className="tddisp"
}}



function  dirovr(dsid,dsname,dsjb,dstype,dstab,dsren,dsimg,dsdate,dsgroup){
   helr=""
   if (dsgroup==""){ dsgroup="无" }
   parent.document.lform1.T1.value=" 信息";
   parent.document.lform1.T5.value=dstype;
   parent.document.lform1.T6.value=dstab;

   parent.document.lform1.tab1.className="" ;
   if (dstype=="0"){
   helr="栏目 "+midlr(dsname,4,50)+ helr
   helr=helr+" <BR>"

   }
   else if (dstype=="1"){

    helr="文章 《"+dsname+ "》 "+ helr
    helr=helr+" <BR>"
    helr=helr+" 发布 "+dsren+"<BR>"
    helr=helr+" 日期 "+dsdate+"<BR>"

    }
    else{

    helr="记录"+dsname+ helr
    helr=helr+" <BR>"
    helr=helr+" 发布 "+dsren+"<BR>"
    helr=helr+" 日期 "+dsdate+"<BR>"

    }
    helr=helr+" 所属组 "+dsgroup+"<BR>"

   parent.document.lform1.mytd1.innerHTML=helr;
   if (dsimg+""!==""){
   parent.document.lform1.simg.src=dsimg;
}
}


function srlfile(src,fileid){
if (src.className=="") 
{
src.className="myurl";
//if (instrlr(parent.document.lform1.T4.value,","+fileid+",")==0){
parent.document.lform1.T3.value=intlr(parent.document.lform1.T3.value)+1;
parent.document.lform1.T4.value=parent.document.lform1.T4.value+fileid+",";
if (parent.document.lform1.T3.value==parent.document.lform1.T10.value)
{
parent.document.lform1.T7.value="all"
}
else{
parent.document.lform1.T7.value="";
}

//}
}else
{
src.className="";
parent.document.lform1.T3.value=intlr(parent.document.lform1.T3.value)-1;
parent.document.lform1.T4.value=replacelr(parent.document.lform1.T4.value,","+fileid+",",",");
if (parent.document.lform1.T3.value==0)
{
parent.document.lform1.T7.value="no"
}
else{
parent.document.lform1.T7.value="";

}
}
}


function allselect(zsn){
parent.document.lform1.T7.value="all";
parent.document.lform1.T3.value=zsn;
  for (ii=0;ii<intlr(zsn);ii++)
{
eval('parent.document.rform.aurl'+ii+'.className="myurl"');  
}
}


function allnoselect(zsn){
parent.document.lform1.T3.value=zsn;
parent.document.lform1.T7.value="no";
  for (ii=0;ii<intlr(zsn);ii++)
{
eval('parent.document.rform.aurl'+ii+'.className=""');  
}
}

function displr(dsid,dstype,dstab,dfname,upname,upid,dfjb,treeimg){

if (dstype==1){
window.open("../xxlr1.asp?id="+dsid,null,'toolbar=no,location=no,directories=NO,status=NO,menubar=NO,scrollbars=yes,resizable=yes,top=10,left=20,width=780,height=600');
}
else if(dstype==0){
loadThreadFollow2(upid,dfjb-1,upname,treeimg,"lrgl.asp");
location.replace("websysdir.asp?menulb="+dfname+"&tab="+dstab+"&menujb="+dfjb+"&id="+dsid);
}
else if (dstype==2){
}
}